Bug 217426 - Yum failing to skip 404ing download
Yum failing to skip 404ing download
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 16:07 EST by Richard Coupe
Modified: 2014-03-16 23:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:58:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Coupe 2006-11-27 16:07:40 EST
Description of problem:
Yum attempts to download gmp-4.1.4-9.fc6.i386.rpm from the www.mirrorservice.org
mirror, gets a 404 and bails out.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum update gpm, assuming lower version number currently installed.
2.
3.
  
Actual results:
Yum retrieves mirrorservice's 404 error page, claims there are no more (extras)
mirrors and exits.

Expected results:
gpm being updated.

Additional info:
Comment 1 Richard Coupe 2006-11-27 16:15:46 EST
[root@localhost yum.repos.d]# yum update
Loading "skip-broken" plugin
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package pango-devel.i386 0:1.14.8-1.fc6 set to be updated
---> Package tzdata.noarch 0:2006m-3.fc6 set to be updated
---> Package pygobject2-doc.i386 0:2.12.3-1.fc6 set to be updated
---> Package evolution-data-server.i386 0:1.8.1-2.fc6 set to be updated
---> Package gnome-pilot.i386 0:2.0.14-1.fc6 set to be updated
---> Package evolution-data-server-devel.i386 0:1.8.1-2.fc6 set to be updated
---> Downloading header for gmp to pack into transaction set.
http://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/core/updates/6/i386/gmp-4.1.4-9.fc6.i386.rpm:
[Errno 14] HTTP Error 404: Date: Mon, 27 Nov 2006 21:14:16 GMT
Server: Apache/2.0.54 (Debian GNU/Linux)
Content-Length: 6341
Content-Type: text/html
Via: 1.1 www.mirrorservice.org

Trying other mirror.
Error: failure: gmp-4.1.4-9.fc6.i386.rpm from updates: [Errno 256] No more
mirrors to try.


**********

There's the full output and error.
Comment 2 Seth Vidal 2006-11-27 16:37:39 EST
Are there any more mirrors?.

go to the url specified in mirrorlist= in your .repo file for this repository
and I'll bet it has only that one.
Comment 3 Richard Coupe 2006-11-27 16:42:57 EST
It certainly seems to be. I can change the list to the global one, but shouldn't
the UK have more than one mirror, really?
Comment 4 Seth Vidal 2006-11-27 16:48:18 EST
it's not really a yum bug, though. I'll refile it against 'distribution'
Comment 5 Richard Coupe 2006-11-27 16:54:42 EST
Indeed, I (wrongly) assumed that there would be more than one mirror and yum was
simply failing to iterate beyond the first.

The global list works fine.
Comment 6 Bug Zapper 2008-04-04 00:58:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:58:15 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.